package applet3;

import java.applet.Applet;
import java.awt.Button;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * @author  Ralf Kunze (rkunze@uos.de), Institut fuer Informatik, Universitaet Osnabrueck
 * @date 21.06.2007
 */
@SuppressWarnings("serial")
public class MyApplet extends Applet {
    
    private String buttonText;
    
    public MyApplet() {
        buttonText = "Click Me!";
    }
    
    public void init() {
        String param = getParameter("buttonLabel");
        if(param!=null)
            buttonText = param;
        
        add(createGUI());
    }
    
    private Panel createGUI() {
        Panel panel = new Panel();
        
        final Canvas canvas = new Canvas();
        canvas.setSize(100,100);
        
        Button clickBto = new Button(buttonText);
        clickBto.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                int r = (int)(Math.random()*255+0.5);
                int g = (int)(Math.random()*255+0.5);
                int b = (int)(Math.random()*255+0.5);
                canvas.setBackground(new Color(r,g,b));
            }
        });
        
        panel.add(clickBto);
        panel.add(canvas);
        
        return panel;
    }
    
    public static void main(String[] args) {
        Frame f = new Frame("Farbklicker");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            } 
        });
        
        f.add(new MyApplet().createGUI());
        
        f.pack();
        f.setVisible(true);
    }
}
