package applet8;

import java.applet.Applet;
import java.awt.Frame;
import java.awt.Panel;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.IOException;

/**
 * @author Ralf Kunze (rkunze@uos.de), Institut fuer Informatik, Universitaet
 *         Osnabrueck
 * @date 21.06.2007
 */
@SuppressWarnings("serial")
public class MyApplet extends Applet {

    public void init() {
        add(createGUI());
    }

    private Panel createGUI() {
        Panel panel = new Panel();

        try {
            MyImageCanvas canvas = new MyImageCanvas("applet8/GoogleEarthWetterMedium.jpg");
            panel.add(canvas);
        } catch (IOException e) {
            System.err.println("Bild konnte nicht geladen werden");
        }

        return panel;
    }

    public static void main(String[] args) {
        Frame f = new Frame("Bildanzeige");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });

        f.add(new MyApplet().createGUI());

        f.pack();
        f.setVisible(true);
    }
}
